List Price Engine configurations and live status
curl --request GET \
--url https://api-v2.watchcollect.com/v2/market/price-engine/configurations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/market/price-engine/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/market/price-engine/configurations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand": "Rolex",
"brand_lower": "rolex",
"reference": "<string>",
"reference_normalized": "<string>",
"market_reference_normalized": "<string>",
"filters": {
"q": "Rolex 126610LN",
"text_search": {
"query": "<string>",
"mode": "broad"
},
"side": [
"for_sale"
],
"message_type": [
"selling"
],
"brand": [
"Rolex"
],
"model": [
"Submariner"
],
"reference": [
"126610LN"
],
"year": {
"values": [
2022,
2023
],
"gte": 2018,
"lte": 2026
},
"years": [
2023
],
"price": {
"gte": 123,
"lte": 123,
"currency": "EUR"
},
"condition": [
"NEW"
],
"conditions": [
"NEW"
],
"full_set_status": [
"WATCH"
],
"full_set_options": [
"WATCH"
],
"dial_type": [
"Wimbledon"
],
"dial_types": [
"<string>"
],
"variant": [
"<string>"
],
"variants": [
"<string>"
],
"country_codes": {
"include": [
"31",
"852"
],
"exclude": [
"86"
]
},
"phone_numbers_include": [
"<string>"
],
"phone_numbers_exclude": [
"<string>"
],
"phone_numbers": {
"include": [
"31612345678"
],
"exclude": [
"85212345678"
]
},
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"group_names": [
"<string>"
],
"contact_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"has_media": true,
"message_timestamp_ms": {
"gte": 123,
"lte": 123
},
"last_seen_at_ms": {
"gte": 123,
"lte": 123
},
"from_ms": 123,
"to_ms": 123,
"include_duplicates": false,
"include_hidden": false,
"include_revoked": false,
"exclude_outliers": false
},
"filter_summary": "<string>",
"minimum_profit_overrides": [
{
"year": 2050,
"condition_bucket": "new",
"amount_eur_minor": 500000000
}
],
"exclude_outliers": true,
"publish_enabled": true,
"buy_signals_enabled": true,
"available_years": [
2050
],
"cell_status": "pending",
"is_stale": true,
"updated_at_ms": 123,
"configuration_key": "<string>",
"configuration_label": "<string>",
"image_url": "<string>",
"imported_from_mapping_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_attempt_at_ms": 123,
"last_success_at_ms": 123,
"last_refresh_error": "<string>"
}
],
"total": 1,
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_user_id": "<string>",
"workspace_id": "<string>",
"source_actor_user_id": "<string>",
"eu_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hk_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hk_markup_bps": 600,
"status": "shadow",
"calculation_version": "price-engine.v1",
"updated_at_ms": 123
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}market
List Price Engine configurations and live status
GET
/
v2
/
market
/
price-engine
/
configurations
List Price Engine configurations and live status
curl --request GET \
--url https://api-v2.watchcollect.com/v2/market/price-engine/configurations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/market/price-engine/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/market/price-engine/configurations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand": "Rolex",
"brand_lower": "rolex",
"reference": "<string>",
"reference_normalized": "<string>",
"market_reference_normalized": "<string>",
"filters": {
"q": "Rolex 126610LN",
"text_search": {
"query": "<string>",
"mode": "broad"
},
"side": [
"for_sale"
],
"message_type": [
"selling"
],
"brand": [
"Rolex"
],
"model": [
"Submariner"
],
"reference": [
"126610LN"
],
"year": {
"values": [
2022,
2023
],
"gte": 2018,
"lte": 2026
},
"years": [
2023
],
"price": {
"gte": 123,
"lte": 123,
"currency": "EUR"
},
"condition": [
"NEW"
],
"conditions": [
"NEW"
],
"full_set_status": [
"WATCH"
],
"full_set_options": [
"WATCH"
],
"dial_type": [
"Wimbledon"
],
"dial_types": [
"<string>"
],
"variant": [
"<string>"
],
"variants": [
"<string>"
],
"country_codes": {
"include": [
"31",
"852"
],
"exclude": [
"86"
]
},
"phone_numbers_include": [
"<string>"
],
"phone_numbers_exclude": [
"<string>"
],
"phone_numbers": {
"include": [
"31612345678"
],
"exclude": [
"85212345678"
]
},
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"group_names": [
"<string>"
],
"contact_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"has_media": true,
"message_timestamp_ms": {
"gte": 123,
"lte": 123
},
"last_seen_at_ms": {
"gte": 123,
"lte": 123
},
"from_ms": 123,
"to_ms": 123,
"include_duplicates": false,
"include_hidden": false,
"include_revoked": false,
"exclude_outliers": false
},
"filter_summary": "<string>",
"minimum_profit_overrides": [
{
"year": 2050,
"condition_bucket": "new",
"amount_eur_minor": 500000000
}
],
"exclude_outliers": true,
"publish_enabled": true,
"buy_signals_enabled": true,
"available_years": [
2050
],
"cell_status": "pending",
"is_stale": true,
"updated_at_ms": 123,
"configuration_key": "<string>",
"configuration_label": "<string>",
"image_url": "<string>",
"imported_from_mapping_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_attempt_at_ms": 123,
"last_success_at_ms": 123,
"last_refresh_error": "<string>"
}
],
"total": 1,
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_user_id": "<string>",
"workspace_id": "<string>",
"source_actor_user_id": "<string>",
"eu_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hk_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hk_markup_bps": 600,
"status": "shadow",
"calculation_version": "price-engine.v1",
"updated_at_ms": 123
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
rolex, patek, ap